#!/bin/sh -e
path="."
if [ x"$1" != x ]; then
	path="$1"
fi

versiongit() {
	gitversion=`git svn log HEAD --limit=1 --oneline | cut -f 1 -d " "`
	cat <<EOF > $path/comptime.h

// Do not edit!  This file was autogenerated
// by the $0 script with git svn
//
const char* comprevision = "$gitversion";
EOF
exit 0
}

versionsvn() {
	svnrevision=`svnversion -n $1`
	cat <<EOF > $path/comptime.h

// Do not edit!  This file was autogenerated
// by the $0 script with subversion
//
const char* comprevision = "r$svnrevision";
EOF
exit 0
}

versionfake() {
	cat <<EOF > $path/comptime.h

// Do not edit!  This file was autogenerated
// by the $0 script with an unknown or nonexist SCM
//
const char* comprevision = "illegal";
EOF
}

compversion() {
touch $path/comptime.c
versionfake
test -d $path/.svn && versionsvn
test -d $path/../.git && versiongit
exit 1
}

test -f $path/comptime.c && compversion
exit 2
